utilities for restructuring
diff --git a/plugins/org.eclipse.wtp.releng.utilities/copyAndRemove.sh b/plugins/org.eclipse.wtp.releng.utilities/copyAndRemove.sh
new file mode 100755
index 0000000..6a3f3d7
--- /dev/null
+++ b/plugins/org.eclipse.wtp.releng.utilities/copyAndRemove.sh
@@ -0,0 +1,22 @@
+
+copyAndRemove ()
+{
+    oldDir=${1}
+    newDir=${2}
+    if [ ! -d ${oldDir} ] 
+    then 
+        echo "${oldDir} does not exixt"
+        return;
+    fi
+    echo "oldDir: ${oldDir}"
+
+
+    echo "newDir: ${newDir}"
+    mkdir -p ${newDir}
+    rsync --backup --verbose --recursive ${oldDir} ${newDir}
+    if [ "$?" -eq "0" ] 
+    then 
+        rm -fr ${oldDir}
+    fi
+    return;
+}